- Qt 5.15
- Qt Core
- qt5_add_binary_resources
- Qt 5.15.19 Reference Documentation

# qt5_add_binary_resources

## Synopsis

     qt5_add_binary_resources(target file1.qrc [file2.qrc ...]
                              [DESTINATION ...]
                              [OPTIONS ...])

## Description

Adds a custom `target` that compiles Qt resource files into a binary `.rcc` file.

Note: For compatibility with Qt 6, the command is also available under the name qt_add_binary_resources.

## Arguments

`DESTINATION` sets the path of the generated `.rcc` file. The default is `${CMAKE_CURRENT_BINARY_DIR}/${target}.rcc`.

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     qt5_add_binary_resources(resources project.qrc OPTIONS -no-compress)
     add_dependencies(myapp resources)